[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] autogen.sh broken on RHEL5



[adding bug-libtool for a doc bug]

On 04/19/2012 03:42 PM, Eric Blake wrote:
> [adding bug-gnulib]
> 
> On 04/19/2012 03:51 AM, Daniel P. Berrange wrote:
>>
>>
>> $ ./autogen.sh  --system
>> Running ./configure with --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib64 
>> running bootstrap...
>> ./bootstrap: Bootstrapping from checked-out http://libvirt.org sources...
>> ./bootstrap: consider installing git-merge-changelog from gnulib
>> ./bootstrap: getting gnulib files...
>> ./bootstrap: autopoint --force
>> Copying file build-aux/config.rpath
>> running: libtoolize --copy --install
>> libtoolize: unrecognized option `--install'
>> Try `libtoolize --help' for more information.
>>
>>
>> There is no such '--install' option - is that even needed - AFAIK that is
>> the default behaviour ?

According to NEWS, 'libtoolize --install' was added in libtool 1.9b (in
2004); however, 'info libtool "invoking libtoolize"' on libtool 2.4
still fails to document this option.  I also checked the latest
libtool.git, where it is still missing, eight years later.

It would be nice to have this documentation added, along with hints of
the appropriate workaround for libtool 1.5.22 still in use in RHEL 5,
and still as the minimum version of libtool supported by gnulib.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]